Autor Tópico: Inclusão do Gens-GS, VBA-M e Snes9x no repositório Universe  (Lida 6909 vezes)

Offline Sergio Benjamim

  • Usuário Ubuntu
  • *
  • Mensagens: 2.902
    • Ver perfil
Inclusão do Gens-GS, VBA-M e Snes9x no repositório Universe
« Online: 13 de Janeiro de 2013, 19:32 »
Olá à todos!

Não sei se essa seção é a mais adequada para expor o assunto...

Bom, quem utiliza o Ubuntu 12.04 e posteriores, irão notar que os emuladores Gens-GS, VBA-M, Snes9x e DeSmuME não estão nos repositórios do Ubuntu, muito menos no repositório da "comunidade", o Universe. Não entendo o porquê disso, são bons emuladores, rodam muito bem, com quase nenhum problema, e todos eles têm licença GPL (são software livre). Nos repositórios tem o VBA, mas sinceramente não sei o que ele está fazendo lá, pois pararam o desenvolvimento do VBA em 2004, e depois houve alguns forks, que juntos deram origem ao VBA-M (olha o site oficial: http://vba-m.com/), que ainda está em desenvolvimento e está bem melhor que o antigo.

Queria saber de vcs, como faz para incluir esses emuladores no Universe? Com quem eu falo, onde entro? Fui tentar reportar isso como um bug no https://bugs.launchpad.net/ubuntu/+filebug, mas esse link me direciona para outra página... me parece que não é mais possível reportar bugs diretamente pelo navegador, é preciso usar o comando ubuntu-bug, o qual te impede de reportar pacotes que estão fora dos repositórios oficiais do Ubuntu...

Ficar dependendo de repositório do GetDeb é inviável... uma por que ele vez ou outra cai, fica off, e isso dá um problema danado para quem não sabe mexer em PPA, e outra porque seria mais fácil se eles já estivesse nos repositórios, muito mais fácil para qualquer um abrir a Central de Programas e instalar esses emu, como se faz com o PCSX-r por exemplo.
« Última modificação: 14 de Janeiro de 2013, 23:44 por Sergio Benjamim »
É novo no Ubuntu? Já leu o Ubuntu – Guia do Iniciante 2.0 ?
Experimente o Xubuntu 14.04 !

Offline Solid One

  • Usuário Ubuntu
  • *
  • Mensagens: 276
  • Linux for human beings
    • Ver perfil
Re: Inclusão do Gens-GS, VBA-M, Snes9x e DeSmuME no repositório Universe
« Resposta #1 Online: 14 de Janeiro de 2013, 09:55 »
Concordo com você. Uso o Gens/GS e o Snes9x no meu notebook com Ubuntu 10.04 para rodar jogos de Mega Drive e Super Nintendo, e são os melhores de seus respectivos consoles. Poder instalá-los sem precisar de PPA ou baixar e instalar o .deb na mão, seria ótimo.

No entanto, infelizmente, tenho por mim que emuladores em repositórios oficiais pode não ser uma boa ideia, sobretudo quando os consoles/portáteis são recentes a ponto de ainda haver lançamentos nessas plataformas. Embora os aplicativos sejam GPL, de certa forma as ROMs dos jogos são proprietárias e são razoavelmente passíveis de gerarem polêmica e estresse alheio.

Um exemplo: Yongzh, um programador que vive na china, portou sozinho para Android emuladores de vários consoles/portáteis, dentre eles Mega Drive, Super NES, Gameboy Color e Advance, PlayStation e Nintendo 64. No entanto, ao disponibilizar todos os emuladores no Android Market (atual Google Play), ele teve sua conta banida e seus aplicativos retirados do ar. A justificativa: Seus emuladores violavam as políticas do Android Market. Ele atualmente distribui seus emuladores gratuitamente, em sites alternativos de download de apps para Android, como o SlideME por exemplo. O link ao lado tem mais detalhes (em inglês): http://news.cnet.com/8301-17938_105-20067351-1/popular-console-emulators-removed-from-android-market/

Outro exemplo: a Apple nunca permitiu que apps de emuladores sejam disponibilizados na sua App Store, para usuários poderem emular consoles em seu iPhone, iPad ou iPod Touch. As poucas vezes que um emulador conseguiu permanecer lá, foi por pouco tempo, geralmente até ela descobrir. Por essa razão (ou outra bem similar), um emulador de DOS chamado iDOS (baseado em DosBox) esteve na Apple Store duas vezes seguidas, e de lá foi retirado também duas vezes. Aqui a notícia: http://www.ultimaaiera.com/blog/crap-idos-got-pulled-from-the-app-store-again/

Levando em conta o crescimento do Ubuntu, e o fato desta distribuição agora disponibilizar aplicativos pagos na sua Central de Programas, não me surpreenderia se fossem retirados dos repositórios alguns desses emuladores disponibilizados lá. Na verdade, mesmo se ela retirasse emuladores já existentes na Central de Programas, como o PCSX-r por exemplo, eu não ficaria surpreso. Desapontado talvez, mas não surpreso.

E é isso. Não sei ao certo onde se faz uma "solicitação" de inclusão desses pacotes nos repositórios do Ubuntu, mas de todo modo, boa sorte.
« Última modificação: 14 de Janeiro de 2013, 10:02 por Solid One »

Offline Sergio Benjamim

  • Usuário Ubuntu
  • *
  • Mensagens: 2.902
    • Ver perfil
Re: Inclusão do Gens-GS, VBA-M, Snes9x e DeSmuME no repositório Universe
« Resposta #2 Online: 14 de Janeiro de 2013, 15:03 »
Cara, entendi o que vc quis dizer, mas isso o que o Google e Apple fizeram foi totalmente arbitrário. Emular um vídeo game não é crime, é apenas um acidente de percurso, como os desenvolvedores do MAME falam: o intuito é emular cada peça de hardware, como que se fosse um grande estudo, rodar os jogos é apenas uma consequência e quase que um acidente de percurso. Sendo os jogos software proprietário, cabe ao usuário que instalou o emulador baixar ou não as roms.

Cara, tirar emuladores das "Apps Store" da vida é um tremendo de um absurdo. As empresas de vídeo games não ganham mais nenhum centavo com essas plataformas antigas, e quando tentam ganhar de alguma forma, utilizam emuladores open source ainda...
É novo no Ubuntu? Já leu o Ubuntu – Guia do Iniciante 2.0 ?
Experimente o Xubuntu 14.04 !

Offline irtigor

  • Equipe Ubuntu
  • Usuário Ubuntu
  • *****
  • Mensagens: 4.344
  • Delete, delete, delete!
    • Ver perfil
Re: Inclusão do Gens-GS, VBA-M, Snes9x e DeSmuME no repositório Universe
« Resposta #3 Online: 14 de Janeiro de 2013, 19:43 »
O desmume tá no universe: http://packages.ubuntu.com/precise/desmume
O snes9x-gtk deixou de ser empacotado no debian, agora precisa ser empacotado especificamente no Ubuntu: https://bugs.launchpad.net/ubuntu/+bug/877073
O Gen-gs pelo o que eu vi é um projeto morto, deveria ser removido. O mesmo vale pro vba, também dê uma olha se já não pediram pra empacotar o vba-m.

Offline Sergio Benjamim

  • Usuário Ubuntu
  • *
  • Mensagens: 2.902
    • Ver perfil
Re: Inclusão do Gens-GS, VBA-M, Snes9x no repositório Universe
« Resposta #4 Online: 14 de Janeiro de 2013, 23:44 »
O desmume tá no universe: http://packages.ubuntu.com/precise/desmume
O snes9x-gtk deixou de ser empacotado no debian, agora precisa ser empacotado especificamente no Ubuntu: https://bugs.launchpad.net/ubuntu/+bug/877073
O Gen-gs pelo o que eu vi é um projeto morto, deveria ser removido. O mesmo vale pro vba, também dê uma olha se já não pediram pra empacotar o vba-m.

Tem razão, eu tinha visto pelo Synaptic, e não vi q tinha outra versão, além do getdeb.

O Gens-gs pode ser meio morto, mas funciona bem pra caramba.
É novo no Ubuntu? Já leu o Ubuntu – Guia do Iniciante 2.0 ?
Experimente o Xubuntu 14.04 !

Offline Solid One

  • Usuário Ubuntu
  • *
  • Mensagens: 276
  • Linux for human beings
    • Ver perfil
Re: Inclusão do Gens-GS, VBA-M, Snes9x e DeSmuME no repositório Universe
« Resposta #5 Online: 15 de Janeiro de 2013, 10:50 »
O desmume tá no universe: http://packages.ubuntu.com/precise/desmume
O snes9x-gtk deixou de ser empacotado no debian, agora precisa ser empacotado especificamente no Ubuntu: https://bugs.launchpad.net/ubuntu/+bug/877073
O Gen-gs pelo o que eu vi é um projeto morto, deveria ser removido. O mesmo vale pro vba, também dê uma olha se já não pediram pra empacotar o vba-m.

Tem o Snes9x em PPA para praticamente todas as versões do Ubuntu. Até para 10.04 tem, e aparentemente são pacotes gerados especificamente para o Ubuntu.

Já sobre o Gens/GS, pode ser um projeto morto por ter sido descontinuado por seus programadores, mas até o momento é o melhor emulador de Mega Drive para computadores em plataforma x86 (e talvez x64, só não sei se é nativo). O Gens original, ao qual foi a base para o Gens/GS, sofre de alguns bugs sérios que faz com que seja difícil de rodar em máquinas com Windows XP ou superior. Essas lacunas foram todas preenchidas pelo Gens/GS. Além disso, o Gens/GS é bem mais amigável na configuração de controles, tanto em Windows como em Linux.

Quanto a Gameboy Advance, eu emulo jogos dessa plataforma no Ubuntu usando o Mednafen. Trata-se de um projeto que engloba num único executável vários emuladores, inclusive de NES, Mega Drive, Master System e Gameboy Advance. A emulação de GBA é baseada no VBA, e ele emula com perfeição jogos de GBA no Ubuntu, preenchendo várias lacunas que o VBA para Linux deixou.
« Última modificação: 15 de Janeiro de 2013, 15:53 por Solid One »

Offline irtigor

  • Equipe Ubuntu
  • Usuário Ubuntu
  • *****
  • Mensagens: 4.344
  • Delete, delete, delete!
    • Ver perfil
Re: Inclusão do Gens-GS, VBA-M e Snes9x no repositório Universe
« Resposta #6 Online: 15 de Janeiro de 2013, 13:32 »
PPA é um repositório pessoal - qualquer um cria - e eu estou falando dos oficiais, pra entrar só se um empacotador oficial fizer ou apoiar.